%global snapshot 49c2630

Name:           screenie-composer
Version:        1.0.0
Release:        0.8.20110805git%{snapshot}%{?dist}
Summary:        Fancy screenshot composer
Group:          Applications/Multimedia

License:        GPLv2+
URL:            http://code.google.com/p/screenie
# Tarballs are only available via github. The current snapshot can be downloaded at
# https://github.com/ariya/screenie/tarball/49c2630c393b003a473263001a18e27144744178
Source0:        ariya-screenie-%{snapshot}.tar.gz
Source1:        %{name}.desktop

# Link program libraries statically as they are not intended to
# be used by third-party developers. Their names are way too generic as well.
Patch0:         %{name}-%{version}-static.patch
# Fix segfault occured due to call of uninitialized class variables.
Patch1:         %{name}-%{version}-mime.patch
# remove rpath definition
Patch2:         %{name}-%{version}-rpath.patch
# undefine g++ macros major/minor expanded to gnu_dev_major/minor
Patch3:         %{name}-%{version}-gnu.patch

BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel

%description
Screenie is an easy to use screenshot composer tool that lets you create fancy
and stylish screenshots from a given set of images. 


%prep
%setup -q -n ariya-screenie-%{snapshot}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

find -type f -exec chmod 644 {} \;

%build
qmake-qt4
make %{?_smp_mflags}


%install
install -D bin/release/Screenie %{buildroot}%{_bindir}/%{name}
install -D -p -m 644 src/Resources/img/application-icon.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE1}


%files
%doc LICENSE.GPL2 README.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.8.20110805git49c2630
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.7.20110805git49c2630
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.6.20110805git49c2630
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.5.20110805git49c2630
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.4.20110805git49c2630
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.3.20110805git49c2630
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Aug 17 2011 Martin Gieseking <martin.gieseking@uos.de> 1.0.0-0.2.20110805git49c2630
- added patch to undefine g++ macros major/minor

* Fri Aug 05 2011 Martin Gieseking <martin.gieseking@uos.de> 1.0.0-0.1.20110805git49c2630
- initial package

